Get Available Shipping Rates
Snapshot Catalog Entry
This page is generated from broker tools/list snapshot data.
Get available shipping rates for an order based on destination and order details
Request Body
{
"jsonrpc": "2.0",
"id": "ghl-ghl-get-available-shipping-rates-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_get_available_shipping_rates",
"arguments": {
"country": "country_example",
"address": {},
"totalOrderAmount": 1,
"totalOrderWeight": 1,
"products": [],
"tenantId": "tenantId_123",
"strictTenant": false,
"locationId": "locationId_123"
}
}
}
Arguments Schema
{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"strictTenant": {
"type": "boolean"
},
"locationId": {
"type": "string"
},
"country": {
"type": "string"
},
"address": {
"type": "object",
"properties": {
"street1": {
"type": "string"
},
"city": {
"type": "string"
},
"country": {
"type": "string"
}
},
"required": [
"street1",
"city",
"country"
]
},
"totalOrderAmount": {
"type": "number"
},
"totalOrderWeight": {
"type": "number"
},
"products": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"quantity": {
"type": "number"
}
},
"required": [
"id",
"quantity"
]
}
}
},
"required": [
"country",
"address",
"totalOrderAmount",
"totalOrderWeight",
"products"
]
}
Code Examples
- cURL
- Node.js
- Python
curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-ghl-get-available-shipping-rates-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_get_available_shipping_rates",
"arguments": {
"country": "country_example",
"address": {},
"totalOrderAmount": 1,
"totalOrderWeight": 1,
"products": [],
"tenantId": "tenantId_123",
"strictTenant": false,
"locationId": "locationId_123"
}
}
}'
const response = await fetch('https://madpanda3d.com/lab/mad-mcps/portal/api/mcp', {
method: 'POST',
headers: {
Authorization: 'Bearer mad_live_***',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"jsonrpc": "2.0",
"id": "ghl-ghl-get-available-shipping-rates-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_get_available_shipping_rates",
"arguments": {
"country": "country_example",
"address": {},
"totalOrderAmount": 1,
"totalOrderWeight": 1,
"products": [],
"tenantId": "tenantId_123",
"strictTenant": false,
"locationId": "locationId_123"
}
}
}),
});
const data = await response.json();
console.log(data);
import requests
url = 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp'
headers = {
'Authorization': 'Bearer mad_live_***',
'Content-Type': 'application/json',
}
payload = {
"jsonrpc": "2.0",
"id": "ghl-ghl-get-available-shipping-rates-example",
"method": "tools/call",
"params": {
"name": "ghl.ghl_get_available_shipping_rates",
"arguments": {
"country": "country_example",
"address": {},
"totalOrderAmount": 1,
"totalOrderWeight": 1,
"products": [],
"tenantId": "tenantId_123",
"strictTenant": false,
"locationId": "locationId_123"
}
}
}
response = requests.post(url, headers=headers, json=payload, timeout=60)
print(response.json())
Example Responses
- 200 Success
- 502 Upstream Error
{
"ok": true,
"message": "Tool ghl.ghl_get_available_shipping_rates executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}
{
"ok": false,
"classification": "upstream_http_error",
"message": "Upstream MCP returned a non-success status."
}